IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SMART_ROBOT_V') 
 CREATE TABLE T_ISC_SMART_ROBOT_V (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVAR VARCHAR(20) DEFAULT ' ' NOT NULL,
FVARNAME VARCHAR(20) DEFAULT ' ' NOT NULL,
FVARTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISC_SMART_ROBOT') 
 CREATE TABLE T_ISC_SMART_ROBOT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSCENE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FLABEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOSMICVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDESC VARCHAR(2000) DEFAULT ' ' NOT NULL,
FMODEL_STYLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROMPT VARCHAR(255) DEFAULT ' ' NOT NULL,
FPROMPT_TAG NCLOB,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FLANGUAGE_MODEL VARCHAR(100) DEFAULT ' ' NOT NULL,
FREMEMBERCOUNT INT DEFAULT 0 NOT NULL,
FSUGGEST_MODEL VARCHAR(100) DEFAULT ' ' NOT NULL
);