/**Begin D:\tool\PDM_UPGRADE\pdm_new\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_BACKUP_GIT_CFG')
CREATE TABLE T_ISCB_BACKUP_GIT_CFG (
    FID BIGINT DEFAULT 0 NOT NULL,
    FPROJECT_ID VARCHAR(50) DEFAULT ' ',
    FDOMAIN VARCHAR(100) DEFAULT ' ',
    FBRANCH VARCHAR(50) DEFAULT ' ',
    FPRIVATE_TOKEN VARCHAR(50) DEFAULT ' ',
    FPROJECT_NAME VARCHAR(50) DEFAULT ' ',
    FCREATOR BIGINT DEFAULT 0 NOT NULL,
    FCREATEDATE DATETIME DEFAULT GETDATE(),
    FMODIFIER BIGINT DEFAULT 0 NOT NULL,
    FMODIFYDATE DATETIME DEFAULT GETDATE()
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_BACKUP_TASK')
CREATE TABLE T_ISCB_BACKUP_TASK (
    FID BIGINT DEFAULT 0 NOT NULL,
    FBILLNO VARCHAR(50) DEFAULT ' ',
    FBILLSTATUS VARCHAR(50) DEFAULT ' ',
    FCREATORID BIGINT DEFAULT 0 NOT NULL,
    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
    FCREATETIME DATETIME DEFAULT GETDATE(),
    FMODIFYTIME DATETIME DEFAULT GETDATE(),
    FNAME VARCHAR(50) DEFAULT ' ',
    FREMARK VARCHAR(500) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ISCB_BACKUP_TASK_MAIN')
CREATE TABLE T_ISCB_BACKUP_TASK_MAIN (
    FID BIGINT DEFAULT 0 NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FSEQ INT,
    FRES_NUMBER VARCHAR(100) DEFAULT ' ',
    FRES_NAME VARCHAR(100) DEFAULT ' ',
    FRES_PK VARCHAR(50) DEFAULT ' ',
    FRES_TYPE VARCHAR(36) DEFAULT ' ',
    FRES_TIME DATETIME DEFAULT GETDATE()
);



/**End D:\tool\PDM_UPGRADE\pdm_new\ISCB_table.sql **/
